Skip to content
Start here

Update Account

client.accounts.update(AccountUpdateParams { account_id, id, name, 3 more } params, RequestOptionsoptions?): Account { id, name, type, 3 more }
PUT/accounts/{account_id}

Update an existing account.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account Settings Write
ParametersExpand Collapse
params: AccountUpdateParams { account_id, id, name, 3 more }
account_id: string

Path param: Account identifier tag.

maxLength32
minLength32
id: string

Body param: Identifier

maxLength32
minLength32
name: string

Body param: Account name

maxLength100
type: "standard" | "enterprise"

Body param

One of the following:
"standard"
"enterprise"
managed_by?: ManagedBy

Body param: Parent container details

parent_org_id?: string

ID of the parent Organization, if one exists

maxLength32
parent_org_name?: string

Name of the parent Organization, if one exists

settings?: Settings

Body param: Account settings

abuse_contact_email?: string

Sets an abuse contact email to notify for abuse reports.

enforce_twofactor?: boolean

Indicates whether membership in this account requires that Two-Factor Authentication is enabled

ReturnsExpand Collapse
Account { id, name, type, 3 more }
id: string

Identifier

maxLength32
minLength32
name: string

Account name

maxLength100
type: "standard" | "enterprise"
One of the following:
"standard"
"enterprise"
created_on?: string

Timestamp for the creation of the account

formatdate-time
managed_by?: ManagedBy { parent_org_id, parent_org_name }

Parent container details

parent_org_id?: string

ID of the parent Organization, if one exists

maxLength32
parent_org_name?: string

Name of the parent Organization, if one exists

settings?: Settings { abuse_contact_email, enforce_twofactor }

Account settings

abuse_contact_email?: string

Sets an abuse contact email to notify for abuse reports.

enforce_twofactor?: boolean

Indicates whether membership in this account requires that Two-Factor Authentication is enabled

Update Account

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

const account = await client.accounts.update({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  id: '023e105f4ecef8ad9ca31a8372d0c353',
  name: 'Demo Account',
  type: 'standard',
});

console.log(account.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "name": "Demo Account",
    "type": "standard",
    "created_on": "2014-03-01T12:21:02.0000Z",
    "managed_by": {
      "parent_org_id": "4536bcfad5faccb111b47003c79917fa",
      "parent_org_name": "Demo Parent Organization"
    },
    "settings": {
      "abuse_contact_email": "abuse_contact_email",
      "enforce_twofactor": true
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "name": "Demo Account",
    "type": "standard",
    "created_on": "2014-03-01T12:21:02.0000Z",
    "managed_by": {
      "parent_org_id": "4536bcfad5faccb111b47003c79917fa",
      "parent_org_name": "Demo Parent Organization"
    },
    "settings": {
      "abuse_contact_email": "abuse_contact_email",
      "enforce_twofactor": true
    }
  }
}